// include the library code:
#include <LiquidCrystal.h>

// Creates an LCD object. Parameters: (rs, enable, d4, d5, d6, d7)
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

//Button set ups
const int buttonG = 7;
const int buttonR = 6;
int redState;
int greenState;

//red or green variable
int rG;

//LED set ups
const int ledG = 9;
const int ledR = 10;

//game variable
int score = 5;
long rNum=0;
long lNum = rNum;

//Function to wait for the button to be pressed, returns 1 or 2 for the button pressed
int buttonPressed(){
  int tmp;
  while(greenState == HIGH && redState == HIGH){
    greenState = digitalRead(buttonG);
    redState= digitalRead(buttonR);
  }
 if(greenState == LOW){
  tmp = 1;
 }
 if(redState == LOW){
  tmp = 2;
 }
 return tmp;
}


void setup() 
{
  //LED set up
  pinMode(ledG,OUTPUT);
  pinMode(ledR,OUTPUT);

  //Button set up
  pinMode(buttonG, INPUT_PULLUP);
  pinMode(buttonR, INPUT_PULLUP);
  greenState = digitalRead(buttonG);
  redState = digitalRead(buttonR);
  
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Clears the LCD screen, says name of game
  lcd.print("Over/Under Game");
  delay(3000);
  lcd.clear();
  delay(2000);
  randomSeed(analogRead(0));
  lNum = random(101);
}



void loop() 
{
  lcd.setCursor(0, 0);
  lcd.print("Over or Under?");
  lcd.setCursor(0, 1);
  lcd.print(lNum);
  rNum = random(101);
  
  greenState = digitalRead(buttonG);
  redState= digitalRead(buttonR);
  
  rG = buttonPressed();
 
 if(rG == 1){
  if(lNum < rNum){
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Correct");
    score = score +1;
    lcd.setCursor(0, 1);
    lcd.print("Score: "); lcd.print(score);
    digitalWrite(ledG,HIGH);
    delay(1000);
    digitalWrite(ledG,LOW);
    lcd.clear();
  }
  else{
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Incorrect");
    score = score - 1;
    lcd.setCursor(0, 1);
    lcd.print("Score: "); lcd.print(score);
    digitalWrite(ledR,HIGH);
    delay(1000);
    digitalWrite(ledR,LOW);
    lcd.clear();
  }
 }

if(rG == 2){
  if(lNum > rNum){
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Correct");
    score = score +1;
    lcd.setCursor(0, 1);
    lcd.print("Score: "); lcd.print(score);
    digitalWrite(ledG,HIGH);
    delay(1000);
    digitalWrite(ledG,LOW);
    lcd.clear();
  }
  else{
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Incorrect");
    score = score - 1;
    lcd.setCursor(0, 1);
    lcd.print("Score: "); lcd.print(score);
    digitalWrite(ledR,HIGH);
    delay(1000);
    digitalWrite(ledR,LOW);
    lcd.clear();
  }
 }
 lNum = rNum;
}
